commit:     f7636b962a8723843e7ca5dd25a381eab83b60b9
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Thu Apr 29 09:08:05 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Apr 30 13:58:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7636b96

dev-java/libg: min java 1.8

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/20588
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/libg/libg-2.1.0-r2.ebuild | 48 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/dev-java/libg/libg-2.1.0-r2.ebuild 
b/dev-java/libg/libg-2.1.0-r2.ebuild
new file mode 100644
index 00000000000..4ac55d9243b
--- /dev/null
+++ b/dev-java/libg/libg-2.1.0-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="test"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Lots of small utilities for bndlib, a swiss army knife for OSGi"
+HOMEPAGE="https://bnd.bndtools.org/";
+SRC_URI="https://github.com/bndtools/bnd/archive/${PV}.REL.tar.gz -> 
bndlib-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~ppc64 x86"
+
+# Tests depend on biz.aQute.junit, which depends on biz.aQute.bndlib, which on
+# its own turn again depends on aQute.libg again; we can temporarily assume 
that
+# if bndlib tests pass that libg is sufficiently tested, in the future we 
should
+# look whether it is feasible to combine the packages or otherwise temporarily
+# build biz.aquite.bndlib and biz.aqute.junit in this package.
+RESTRICT="test"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+S="${WORKDIR}/bnd-${PV}.REL/aQute.${PN}"
+
+EANT_BUILD_TARGET="build"
+
+src_prepare() {
+       default
+       # Move the correct build.xml into place, needed for testing.
+       cp ../cnf/build.xml . || die "Failed to move build file into the right 
place."
+
+       # Remove bundled jar files.
+       find . -name '*.jar' -delete
+
+       # Remove test files
+       if ! use test ; then
+               find src/test -name '*.java' -delete || die "Failed to remove 
test files."
+       fi
+}
+
+src_install() {
+       java-pkg_newjar generated/aQute.${PN}.jar
+}

Reply via email to